import { defineEventHandler, sendRedirect, setHeader } from "h3";
import { joinURL } from "ufo";
import { useNitroOrigin, useSiteConfig } from "#imports";
export default defineEventHandler((e) => {
  const siteConfig = useSiteConfig(e);
  if (siteConfig.url) {
    const siteConfigHostName = new URL(e.path, siteConfig.url).hostname;
    const origin = useNitroOrigin(e);
    const originHostname = new URL(e.path, origin).hostname;
    if (e.headers.get("x-nuxt-seo-redirected")) {
      return;
    }
    if (originHostname !== siteConfigHostName && originHostname !== new URL(e.path, origin).hostname) {
      setHeader(e, "x-nuxt-seo-redirected", "true");
      return sendRedirect(e, joinURL(siteConfig.url, e.path), 301);
    }
  }
});
